//---------------------------------------------------------------------
// Copyright (C)2002 Matt J. Scott.
//
// This file is subject to the terms and conditions of the GNU General
// Public License Version 2.  See the file "COPYING" in the main
// directory of this archive for more details
//---------------------------------------------------------------------

typedef int int32;
typedef unsigned int uint32;
typedef unsigned short uint16;
typedef float LTVector4f[4];
typedef float LTVector2f[2];

typedef struct SMeshHdr
{
	uint32 numStrips;
	uint32 numVerts;
} SMeshHdr;

typedef struct SStripHdr
{
	uint16 numVerts;
	uint16 winding;
	uint32 vertOffset;
} SStripHdr;	

typedef struct SStripMesh
{
	LTVector4f	boundingSphere;		// 16 bytes = 16
	LTVector4f	minExtent;			// 16 bytes = 32
	LTVector4f	maxExtent;			// 16 bytes = 48
	SMeshHdr	mshHdr;				//  8 bytes = 56
	SStripHdr	*pStrips;			//  4 bytes = 60
	LTVector4f	*pVerts;			//  4 bytes = 64
	LTVector4f	*pNorms;			//  4 bytes = 68
	LTVector4f	*pCols;				//  4 bytes = 72
	LTVector2f	*pUVs;				//  4 bytes = 76
	uint32		numTris;			//  4 bytes = 80 
	uint32		numVerts;			//  4 bytes = 84
	uint32		pad[1];				//  4 bytes = 88 
	uint32		dmaSize;			//  4 bytes = 92 
	uint32*		dmaData;			//  4 bytes = 96 
} SStripMesh;

bool LoadStripMesh(char *filename, SStripMesh *pMesh);
extern SStripMesh limb;

